Subject: Re: mmsystem, portable Audio library
From: [email-masked] (Curtis L. Olson)

16 Jun 1998 21:16:43 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: "\"John D. Rogers\" <[email-masked]>
    Benjamin Riefenstahl <[email-masked]>
    Tom Knienieder <[email-masked]>
    Steve Baker" <[email-masked]>

Curt Olson wrote:
> ... some stuff about not being able to run executables linked
> against "mmsystem.dll" ...

Benjamin Riefenstahl writes:
> mmsystem.dll is a 16-bit component (NE executable). According to my docs
> you need to link to winmm.dll for 32 bits.

John D. Rogers writes:
> I think not.  The problem you're facing is that "mmsystem.dll" is a
> 16-bit .DLL and can't be used from within a 32-bit application without
> special effort on your part.
>  
> The .DLL I think you want to be working with is "winmm.dll" which
> resides in your "system32" subdirectory underneath your NT install
> directory.  This is a 32-bit .DLL intended for use with 32-bit apps.

Thanks everyone for your help.  This appears to have solved my
problem.

.... silly me ... thinking if I include "mmsystem.h" that I should link
against "mmsystem.dll" ... oh well ... :-)  

Microsoft -- making computing safer, easier, and better for everyone. :-|

Curt.
-- 
Curtis Olson                        University of MN, ME Dept.
[email-masked]                     
http://www.menet.umn.edu/~curt      Try Linux!
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".